Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class MouseAdapter

    java.lang.Object
      java.awt.event.MouseAdapter

All Implemented Interfaces:
  EventListener, MouseListener

Direct Known Subclasses:
  BasicComboPopup.InvocationMouseHandler, BasicComboPopup.ListMouseHandler, BasicFileChooserUI.DoubleClickListener, BasicScrollBarUI.ArrowButtonListener, BasicScrollBarUI.TrackListener, BasicSplitPaneDivider.MouseHandler, BasicTabbedPaneUI.MouseHandler, BasicTreeUI.MouseHandler, FormView.MouseEventListener, HTMLEditorKit.LinkController, MetalFileChooserUI.SingleClickListener, ToolTipManager

public abstract class MouseAdapter
extends Object
implements MouseListener

An abstract adapter class for receiving mouse events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Mouse events let you track when a mouse is pressed, released, clicked, when it enters a component, and when it exits. (To track mouse moves and mouse drags, use the MouseMotionAdapter.)

Extend this class to create a `MouseEvent` listener and override the methods for the events of interest. (If you implement the `MouseListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addMouseListener` method. When a mouse button is pressed, released, or clicked (pressed and released), or when the mouse cursor enters or exits the component, the relevant method in the listener object is invoked and the `MouseEvent` is passed to it.

Since:
  1.1
See Also:
  `MouseEvent`, `MouseListener`, Tutorial: Writing a Mouse Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`MouseAdapter()`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseAdapter

    public MouseAdapter()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.